Package com.orchestranetworks.ui.form.widget

# Class UIWidgetFileUpload

java.lang.Object
com.orchestranetworks.ui.form.widget.UICustomWidget
com.orchestranetworks.ui.form.widget.UISimpleCustomWidget
com.orchestranetworks.ui.form.widget.UIWidgetFileUpload

All Implemented Interfaces:
  `UIWidget`

public final class UIWidgetFileUpload extends UISimpleCustomWidget
Widget for an upload file field.

Currently this widget can only be used with dynamic beans. The current node must be of type BeanDefinition.OSD_FILE_UPLOAD.

Since:
  5.8.0
See Also:
  - `BeanDefinition.createElement(Path, SchemaTypeName)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_PARAMETER_NAME_SUFFIX`
  `static final String`
  `KEY_SET_ATTRIBUTE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UIWidgetFileUpload(WidgetFactoryContext aContext)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setAccept(String anAccept)`
  This attribute specifies a default filter for file names.
  `void`
  `validate(WidgetValidationContext aValidationContext)`
  Validates the widget.
  `void`
  `write(WidgetWriter aWriter, WidgetDisplayContext aContext)`
  Displays the widget.

  ### Methods inherited from class com.orchestranetworks.ui.form.widget.UICustomWidget

  `isDisplayingCustomWidgetValidationMessage, isEditorDisabled, setEditorDisabled`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### KEY_PARAMETER_NAME_SUFFIX

    public static final String KEY_PARAMETER_NAME_SUFFIX
    See Also:
      - Constant Field Values

  - ### KEY_SET_ATTRIBUTE_NAME

    public static final String KEY_SET_ATTRIBUTE_NAME

- ## Constructor Details

  - ### UIWidgetFileUpload

    public UIWidgetFileUpload(WidgetFactoryContext aContext)
    Constructor.

- ## Method Details

  - ### setAccept

    public void setAccept(String anAccept)
    This attribute specifies a default filter for file names.

    For details on format, please refer to HTML <input> accept attribute specifications.

  - ### write

    public void write(WidgetWriter aWriter, WidgetDisplayContext aContext)
    Displays the widget.
    Specified by:
      `write` in class `UISimpleCustomWidget`

  - ### validate

    public void validate(WidgetValidationContext aValidationContext)
    Validates the widget.
    Overrides:
      `validate` in class `UISimpleCustomWidget`